/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.datasource;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 批量新增Dto对象
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class SaaSAppDataSourceBatchAddDto
{
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  @Size(max = 32, message="微服务-microServiceId: 数据长度不能 > 32" )
  @NotBlank(message = "微服务-microServiceId: 不可为空")
  private String microServiceId;

  @ApiModelProperty("数据库集群列表")
  @NotEmpty(message = "数据库集群列表-dataSourceClusters：不可为空")
  private List<String> dataSourceClusters;

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public List<String> getDataSourceClusters()
  {
    return dataSourceClusters;
  }

  public void setDataSourceClusters(List<String> dataSourceClusters)
  {
    this.dataSourceClusters = dataSourceClusters;
  }
}
